org.eclipse.cdt.core.dom.ast

## Interface IProblemType

All Superinterfaces:
  Cloneable, ISemanticProblem, IType

    public interface IProblemType
    extends IType, ISemanticProblem

Represents an type that cannot be determined or is illegal. Reasons include

- A type depends on a name that cannot be resolved (resolves to a `IProblemBinding`).
- The construction of a type is illegal.

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`BINDING_AMBIGUOUS_LOOKUP, BINDING_BAD_SCOPE, BINDING_CIRCULAR_INHERITANCE, BINDING_DEFINITION_NOT_FOUND, BINDING_INVALID_OVERLOAD, BINDING_INVALID_REDECLARATION, BINDING_INVALID_REDEFINITION, BINDING_INVALID_TEMPLATE_ARGUMENTS, BINDING_INVALID_TYPE, BINDING_INVALID_USING, BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND, BINDING_LABEL_STATEMENT_NOT_FOUND, BINDING_MEMBER_DECLARATION_NOT_FOUND, BINDING_NO_CLASS, BINDING_NOT_FOUND, BINDING_RECURSION_IN_LOOKUP, TYPE_AUTO_FOR_NON_STATIC_FIELD, TYPE_AUTO_FOR_VIRTUAL_METHOD, TYPE_CANNOT_DEDUCE_AUTO_TYPE, TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE, TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE, TYPE_ENUMERATION_EXPECTED, TYPE_NO_NAME, TYPE_NOT_PERSISTED, TYPE_UNKNOWN_FOR_EXPRESSION, TYPE_UNRESOLVED_NAME`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`getID, getMessage`